Project

General

Profile

Actions

Bug #13909

open

Want support for building against LibreSSL 3.X

Added by Andrew Stormont 7 months ago. Updated 7 months ago.

Status:
In Progress
Priority:
Normal
Category:
-
Start date:
Due date:
% Done:

0%

Estimated time:
Difficulty:
Medium
Tags:
Gerrit CR:

Description

illumos-gate won't build against LibreSSL 3.X because it assumes LibreSSL is compatible with OpenSSL 1.0.X but version 3.X's API is actually closer to OpenSSL 1.1.X.

Actions #1

Updated by Electric Monk 7 months ago

  • Gerrit CR set to 1581
Actions

Also available in: Atom PDF